Summary: Emacs Development Environment
Name: EDE
Version: 0.6
Release: 1
Copyright: GPL
Group: Applications/Editors/Emacs
URL: http://www.ultranet.com/~zappo/ede.shtml
Source: ftp://ftp.ultranet.com/pub/zappo/%{name}-%{version}.tar.gz
Patch: EDE-0.6-texi.diff
Requires: eieio >= 0.11 emacs >= %(rpm -q emacs --qf '%%{VERSION}')
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}

%description

%prep
%setup
%__chmod -R u+w .
%patch -p1 -b .orig

%build
%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%__mkdir -p $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{name} $RPM_BUILD_ROOT%_usr/info
%__install -m 644 *.el *.elc $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{name}
%__gzip -9nf *.info*
%__install -m 644 *.info* $RPM_BUILD_ROOT%_usr/info

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
install-info %_usr/info/ede.info.gz %_usr/info/dir

%preun
if [ $1 = 0 ] ; then
    install-info --delete %_usr/info/ede.info.gz %_usr/info/di
fi

%files
%defattr (-, root, root)
%doc NEWS README TODO
%_usr/info/*.info*
%_usr/share/emacs/site-lisp/%{name}
